Blacklist
Kara liste sorgulama endpoint'leri.
Kara Liste Sorgulama
Kullanıcının kara liste durumunu sorgular.
Authentication
x-auth (tenant-id)
HTTP Request
GET /blacklist/get-blacklist-result
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
userId | string | false | - | Kullanıcı ID |
identityNumber | string | false | - | TC Kimlik numarası |
Response Parameters
| Field | Type | Nullable | Desc |
|---|---|---|---|
userId | string | false | Kullanıcı ID |
identityNumber | string | true | TC Kimlik numarası |
isBlacklisted | boolean | false | Kara listede mi |
reason | string | true | Kara liste sebebi |
createdAt | date | true | Eklenme tarihi |
Kara Liste Sorgulama V2
Gelişmiş kara liste sorgulaması yapar (çoklu dil desteği).
Authentication
x-auth (tenant-id)
HTTP Request
GET /blacklist/get-blacklist-result-v2
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
userId | string | false | - | Kullanıcı ID |
identityNumber | string | false | - | TC Kimlik numarası |
Response Parameters
| Field | Type | Nullable | Desc |
|---|---|---|---|
userId | string | false | Kullanıcı ID |
identityNumber | string | true | TC Kimlik numarası |
isBlacklisted | boolean | false | Kara listede mi |
reason | string | true | Kara liste sebebi |
reasonJson | object | true | Çoklu dil kara liste sebebi |
createdAt | date | true | Eklenme tarihi |
Notlar
- V2 sürümü çoklu dil desteği içerir
_requesterLanguageparametresi ile yanıt dili belirlenir